import request from '@/utils/request'

// 查询【请填写功能名称】列表
export function listdefectClass(query) {
  return request({
    url: '/qms/defectClass/list',
    method: 'get',
    params: query
  })
}


// 新增【请填写功能名称】
export function adddefectClass(data) {
  return request({
    url: '/qms/defectClass/add',
    method: 'post',
    data: data
  })
}

// 修改【请填写功能名称】
export function updatedefectClass(data) {
  return request({
    url: '/qms/defectClass/update',
    method: 'post',
    data: data
  })
}

// 删除【请填写功能名称】
export function deldefectClass(defectClassId) {
  return request({
    url: '/qms/defectClass/delete/' + defectClassId,
    method: 'post'
  })
}
